/* RSIMonHook.h
 * For use with RSIMon
 * written by Maritn Thompson
 * mjthompson@iee.org
 *
 */
/* RSIMon - A pain based usage monitor
 * Copyright (C) 2000 Martin Thompson
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 */
#ifndef _RSIMONHOOKS_H
#define _RSIMONHOOKS_H
typedef struct MDTAG
{
	float dist;
	float dragdist;
	int clicks;
	int doubleclicks;
	int keys;
} MouseData;
#define EXP __declspec(dllexport) 

EXP __stdcall InitHooks(void);
EXP __stdcall KillHooks(void);
EXP __stdcall GetData(MouseData* md);

#endif

